//  random
/*  El método random() regresa un numero aleatorio desde 0 (inclusive) y hasta -pero no incluye el- 1 (exclusive).

    La sintaxis para usarlo es: Math.random()

    Hay varios métodos que se utilizan para obtener el número redondeado entre un rango de números que se les asigne, del 0-1 al que se requiera


    La función Math.ceil() devuelve el entero mayor o igual un número dado.
    https://developer.mozilla.org/es/docs/Web/JavaScript/Reference/Global_Objects/Math/ceil

    El método Math.floor() devuelve el entero menor o igual a un número. 
    https://developer.mozilla.org/es/docs/Web/JavaScript/Reference/Global_Objects/Math/floor


    https://www.w3schools.com/jsref/jsref_random.asp
    http://revistavacio.com/ciencia-y-tecnologia/computadoras-vs-numeros-aleatorios/
*/

//console.log(Math.random())

//console.log(Math.ceil(.5));
//console.log(Math.floor(.5));

//  Obtener el rango de números de 1 a 5 se puede hacer con cualquier método, bajo las siguientes condicionantes
  //  si usa Math.ceil()
  //console.log(Math.ceil(Math.random() * 5));

  //  si usa Math.floor() se tendría que sumar 1
  //console.log(Math.floor(Math.random() * 5) + 1);

  /* sin embargo debemos considerar que en programación el cero 0 cuenta como el primer valor a tomar en cuenta,
  por lo que si queremos obtener los datos que arroje el rango de 0 a 5, sería así;
  */

  //console.log(Math.floor(Math.random() * 6));


/*  Switch   

      La expresión de switch se evalúa una vez.
      El valor de la expresión se compara con los valores de cada caso.
      Si hay una coincidencia, se ejecuta el bloque de código asociado.
      Si no hay coincidencia, se ejecuta el bloque de código "default".
      Es más sencillo de leer.
      Funciona cuando se tiene  valor predeterminados
*/

function enviarRespuesta() {
    
  let pregunta = document.querySelector("#pregunta").value;
  
  let randomNumber = Math.floor(Math.random() * 44);
  console.log(randomNumber);

  let eightBall = "";

  switch (randomNumber) {
      case 0:
        eightBall = "Es cierto";
        break;
      case 1:
        eightBall = "Así se ha dicho";
        break;
      case 2:
        eightBall = "No cuentes con eso";
        break;
      case 3:
        eightBall = "Respuesta confusa, intenta otra vez";
        break;
      case 4:
        eightBall = "Todo apunta a que sí";
        break;
      case 5:
        eightBall = "No puedo predecirlo ahora";
        break;
      case 6:
        eightBall = "Sin duda";
        break;
      case 7:
        eightBall = "Mis fuentes dicen, no";
        break;
      case 8:
        eightBall = "Outlook good";
        break;
      case 9:
        eightBall = "Muy probable";
        break;
      case 10:
        eightBall = "Así como lo veo, sí";
        break;
      case 11:
        eightBall = "Mejor no decirte ahora";
        break;
      case 12:
        eightBall = "Puedes confiar en ello";
        break;
      case 13:
        eightBall = "Concentrate y pregunta otra vez";
        break;
      case 14:
        eightBall = "Sin duda";
        break;
      case 15:
        eightBall = "Todo apunta a que sí";
        break;
      case 16:
        eightBall = "Sí – definitivamente";
        break;
      case 17:
        eightBall = "Sí";
        break;
      case 18:
        eightBall = "Las perspectivas no son tan buenas";
        break;
      case 19:
        eightBall = "Pregunta de nuevo más tarde";
        break;
      case 20:
        eightBall = "Es muy dudoso";
        break;
      case 21:
        eightBall = "Mi respuesta es no";
        break;
      default:
        eightBall = "No sé que responder";  //Declaraciones ejecutadas cuando ninguno de los valores coincide con el valor de la expresión
        break;
  }

  console.log(eightBall);
  
  let mensajeFormulario = document.querySelector(".respuesta")
  let mensajeCompleto = `Esto preguntaste: <strong>¿${pregunta}?</strong>. <br>Y esta es <em>mi</em> respuesta: <span>${eightBall}</span>`;
  mensajeFormulario.innerHTML = mensajeCompleto;
}
