//  RANDOM
/*  El método random() regresa un numero aleatorio desde 0 (inclusive) y hasta -pero no incluye el- 1 (exclusive).

    La sintaxis para usarlo es: Math.random()

    Hay varios métodos que se utilizan para obtener el número redondeado entre un rango de números que se les asigne, del 0-1 al que se requiera


    La función Math.ceil() devuelve el entero mayor o igual un número dado.
    https://developer.mozilla.org/es/docs/Web/JavaScript/Reference/Global_Objects/Math/ceil

    El método Math.floor() devuelve el entero menor o igual a un número. 
    https://developer.mozilla.org/es/docs/Web/JavaScript/Reference/Global_Objects/Math/floor


    https://www.w3schools.com/jsref/jsref_random.asp
    http://revistavacio.com/ciencia-y-tecnologia/computadoras-vs-numeros-aleatorios/
*/

//console.log(Math.random())

//console.log(Math.ceil(.5));
//console.log(Math.floor(.5));

//  Obtener el rango de números de 1 a 5 se puede hacer con cualquier método, bajo las siguientes condicionantes
  //  si usa Math.ceil()
  //console.log(Math.ceil(Math.random() * 5));

  //  si usa Math.floor() se tendría que sumar 1
  //console.log(Math.floor(Math.random() * 5) + 1);

  /* sin embargo debemos considerar que en programación el cero 0 cuenta como el primer valor a tomar en cuenta,
  por lo que si queremos obtener los datos que arroje el rango de 0 a 5, sería así;
  */

  //console.log(Math.floor(Math.random() * 6));


/*  Switch   

      La expresión de switch se evalúa una vez.
      El valor de la expresión se compara con los valores de cada caso.
      Si hay una coincidencia, se ejecuta el bloque de código asociado.
      Si no hay coincidencia, se ejecuta el bloque de código "default".
      Es más sencillo de leer.
      Funciona cuando se tiene  valor predeterminados
*/

function enviarRespuesta() {
    
  let pregunta = document.querySelector("#pregunta").value;
  
  let randomNumber = Math.floor(Math.random() * 44);
  console.log(randomNumber);

  let eightBall = "";

  switch (randomNumber) {
      case 0:
        eightBall = "It is certain";
        break;
      case 1:
        eightBall = "It is decidedly so";
        break;
      case 2:
        eightBall = "Do not count on it";
        break;
      case 3:
        eightBall = "Reply hazy, try again";
        break;
      case 4:
        eightBall = "Signs point to yes";
        break;
      case 5:
        eightBall = "Cannot predict now";
        break;
      case 6:
        eightBall = "Without a doubt";
        break;
      case 7:
        eightBall = "My sources say no";
        break;
      case 8:
        eightBall = "Outlook good";
        break;
      case 9:
        eightBall = "Most likely";
        break;
      case 10:
        eightBall = "As I see it, yes";
        break;
      case 11:
        eightBall = "Better not tell you now";
        break;
      case 12:
        eightBall = "You may rely on it";
        break;
      case 13:
        eightBall = "Concentrate and ask again";
        break;
      case 14:
        eightBall = "Without a doubt";
        break;
      case 15:
        eightBall = "Signs point to yes";
        break;
      case 16:
        eightBall = "Yes – definitely";
        break;
      case 17:
        eightBall = "Yes";
        break;
      case 18:
        eightBall = "Outlook not so good";
        break;
      case 19:
        eightBall = "Ask again later";
        break;
      case 20:
        eightBall = "Very doubtful";
        break;
      case 21:
        eightBall = "My reply is no";
        break;
      default:
        eightBall = "No se que responder";  //Declaraciones ejecutadas cuando ninguno de los valores coincide con el valor de la expresión
        break;
  }

  console.log(eightBall);
  
  let mensajeFormulario = document.querySelector(".respuesta")
  let mensajeCompleto = `Esto preguntaste: <strong>¿${pregunta}?</strong>. <br>Y esta es <em>mi</em> respuesta: <span>${eightBall}</span>`;
  mensajeFormulario.innerHTML = mensajeCompleto;
}
