/********************************************************************* */
//  MENU DE NAVEGACIÓN 

/* document.querySelector 1 objeto  */
    // var encontrarMenuMovil = document.querySelector(".menu_principal");
    // function mostrar_ocultar() {
    //     encontrarMenuMovil.classList.toggle("mostrar_menu_movil");
    // }
    // console.log(encontrarMenuMovil);
    // document.querySelector(".icono_menu").addEventListener("click", mostrar_ocultar);

/* document.querySelector 2 objetos */
    // var encontrarMenuMovil = document.querySelector(".menu_principal");
    // var encontrarMenuMovil2 = document.querySelector(".redes_sociales");
    // function mostrar_ocultar() {
    //     encontrarMenuMovil.classList.toggle("mostrar_menu_movil");
    //     encontrarMenuMovil2.classList.toggle("mostrar_menu_movil");
    // }
    // console.log(encontrarMenuMovil);
    // console.log(encontrarMenuMovil2);
    // document.querySelector(".icono_menu").addEventListener("click", mostrar_ocultar);


/* document.querySelectorAll -FAIL-    */
/* no corre la función */
    // // var encontrarMenuMovil = document.querySelectorAll(".menu_principal, .redes_sociales");
    // var encontrarMenuMovil = document.querySelectorAll(".menu_movil");
    // function mostrar_ocultar() {
    //     encontrarMenuMovil.classList.toggle("mostrar_menu_movil");
    // }
    // console.log(encontrarMenuMovil);
    // document.querySelector(".icono_menu").addEventListener("click", mostrar_ocultar);



/* document.querySelectorAll OK*/
/* https://developer.mozilla.org/es/docs/Web/API/Document/querySelectorAll */
/* método forEach */
/* https://www.tutorialstonight.com/javascript-queryselectorall-foreach.php */
/* https://itnext.io/5-ways-to-loop-over-dom-elements-from-queryselectorall-in-javascript-55bd66ca4128 */

    // var encontrarMenuMovil = document.querySelectorAll(".menu_movil");
    // function mostrar_ocultar() {    
    //     encontrarMenuMovil.forEach(nav => nav.classList.toggle("mostrar_menu_movil"));
    // }
    // console.log(encontrarMenuMovil)
    // document.querySelector(".icono_menu").addEventListener("click", mostrar_ocultar);


    var MenuMovil = document.querySelectorAll(".menu_movil");
    function mostrar_ocultar() {    
        MenuMovil.forEach(MenuMovil_desplegado => MenuMovil_desplegado.classList.toggle("mostrar_menu_movil"));
    }
    //console.log(MenuMovil)
    document.querySelector(".icono_menu").addEventListener("click", mostrar_ocultar);



/********************************************************************* */
/********************************************************************* */
/********************************************************************* */
/********************************************************************* */
/********************************************************************* */


/********************************************************************* */
//  IMPORTANTE: ver las diferencias entre var, let y cons
    /*  
    var:    variable a nivel global, y es lo que se uso desde el inicio de javascript.
    let:    variable a nivel del bloque de la función.
    const:  variable también a nivel del bloque de la función, pero no cambian de valor directamente, esto se puede hacer con base al objeto que almacena. Y tampoco se pueden inicializar sin definirles un valor

    */

/*
var edad = 22;
//edad = 33;
//edad = 44;
   
console.log(edad);
*/

/*
let edad = 30;
//edad = 40;
//edad = 50;

console.log(edad);
*/

/*
const edad = 35;
//edad = 45;
//edad = 55;

console.log(edad);
*/


// var edad = 22;
// let edad = 30;
// const edad = 35;

// console.log(window);


// EJEMPLO de los 3 tipos de uso de variables desde el objeto "window"
/*
    var nombre = "Oscar ";
    let apellidoP = "Tello ";
    const apellidoM = "Hernández ";

    console.log(nombre + apellidoP + apellidoM);
    console.log(window);
*/

//  string o literales, number o numerales, boolean, null, undefined y Not a Number NaN

// let nombre = "Oscar";       // string
// let edad = 40;              // number
// let calificacion = 4.75;    // number (con decimales)

// let dia = true;             // boolean (true o false)
// let a = null;               // no tiene valor : INTENCIONAL
// let b;  //undefined         // no tiene valor : NO ha sido inicializada 
// let operacion = "hola" * 5; // NaN (Not a Number) datos que no son coherentes al tipo numeral
// // let c = oscar;              // is not defined : esta asignada, pero esta mal "definida" o "invocada"               

// console.log(nombre + edad + calificacion + dia + a + b + operacion + c);



/********************************************************************* */

/*
BOOLEAN:
    solo tiene dos valores: true / false y sirven para identificar algo
*/

/*
COMPARADORES 
*/

    //  console.log(1 = 1);              // marcará un error, por un solo = sirve para asignar un valor, no para comparar
    //  console.log(1 == 1);             // es cierto, ya que nos compara el VALOR del dato
    //  console.log(1 === 1);            // es cierto, con 3 = compara el VALOR y el TIPO de dato
    //  console.log(1 == "1");           // es cierto, porque compara solo el valor del DATO, pero no el TIPO
    //  console.log(1 === "1");          // es falso, porque el valor del DATO es igual, pero NO son del mismo TIPO
    //  console.log("1" === "1");        // es cierto, porque es el mismo valor del DATO y son del mismo TIPO
    //  console.log("Oscar" === "oscar");// es falso, porque NO es el mismo valor del DATO, aunque sean del mismo TIPO
    //  console.log(1 != 2);             // comparador de DIFERENCIA o desigual
    //  console.log(1 !== 2);            // comparador de DIFERENCIA o desigual
    //  console.log(1 < 2);
    //  console.log(2 < 2);
    //  console.log(2 <= 2);
    //  console.log(3 >= 1);
    //  console.log(3 > 4);

/*
CONDICIONANTES estructura
    if(aqui va la condicionante) {
        código a ejecutar
    }
*/

    //  if(3 > 2) {
    //      console.log("Por supuesto que SÍ, 3 es mayor 2");
    //  }

/*
CONDICIONANTE con ELSE (si no)
    if (condición) {
        código a ejecutar SOLO SI la condición es VERDADERA 
    }   
        else {
            ejecuta este otro código SOLO SI la condición anterior es FALSA
        }
*/  

    /*
      if(1 > 2) {
          console.log("solo se verá este texto, si la condición arroja un valor: 'true'; si no pasará a la siguiente acción");
      } 
        else {
            console.log("si la condición anterior arrojó un valor: 'false', entonces se mostrará este texto");
        }
    */ 
    
    /*
      let numero = 99
      if(numero === 2) {
          console.log("Si es cierto");
      } 
        else {
            console.log("NO es cierto");
        }
    */

    
    //   let escogeUnNumero = 7
    //   if(escogeUnNumero > 2) {
    //       console.log("GANADOR");
    //   } 
    //     else {
    //         console.log("PERDISTE");
    //     }
    

/********************************************************************* */


/********************************************************************* */

//  alert("Bienvenido a la creación de un formulario con más funciones de javascript.")

/* Comienza el ejercicio con la "ventanita tipo" PROMPT */

/* Declaramos la función que abre la ventana

    function abrePrompt() {
    }

*/

/* Plantemiento de la sentencia de todas las acciones que tiene que realizar la función:

        -Crear la variable:nombrePersona para guardar el valor que se escriba en el campo de texto de la ventana tipo "prompt".
        -Crear la variable:PrimerMensaje para saber en donde "escribir" información toda la información nueva

        -El valor que se reciba (o se guarde), se insertara dentro del HTML en <div class="primerTexto"></div> junto con el texto "Gracias...."y el botón "Comenzar".

        -Pasar/Pintar el valor de la variable:nombrePersona, en el campo de texto identificado con #nombre  
*/

function abrePrompt() {
    // let signoZodiacal = prompt("¿Cuál es tu signo del zodiaco?");    //la variable es para obtener el valor que lo que se escriba en el prompt 

    // if (signoZodiacal.toLowerCase() == "escorpión") {
    //   alert("Wow! yo también soy escorpión!");
    // }
    //     else {
    //         alert("🤭 no somos compatibles!");
    //     }

/********************************************************************* */

     let nombrePersona = prompt("Vamos!!! escribe tu nombre");

    // alert(nombrePersona);
    alert("Gracias por escribir tu nombre" + nombrePersona)

     let aquiVamosAponerElNombreDelPrompt = document.querySelector(".primerTexto");

    // // en modo "concatenación" (antes de ES6)
     aquiVamosAponerElNombreDelPrompt.innerHTML = "Gracias por escribir tu nombre <strong>" + nombrePersona + "</strong><br><a onclick='abreFormulario()'>Comenzar</a>";
    
    // // en modo "template string" (ES6)
    // //aquiVamosAponerElNombreDelPrompt.innerHTML = `Gracias por escribir tu nombre <strong>${nombrePersona}</strong><br><a onclick="abreFormulario();">Comenzar</a>`;

     document.querySelector("#nombre").value = nombrePersona; 
}

/** El botón "Comenzar" tiene la función de abrir el formulario completo, con el método classList y agregando una clase a la existente 
    https://www.w3schools.com/jsref/prop_element_classlist.asp
*/

function abreFormulario() {
    let abrir_formulario = document.querySelector(".formulario");
    abrir_formulario.classList.add("formularioAbierto"); 
}


//PASO 1:   Solo obtener un mensaje básico
/*
function enviarDatos() {
    let nombre = document.querySelector("#nombre").value;  
    let edad  = document.querySelector("#edad").value;

    let mensajeFormulario = document.querySelector(".mensaje");
    let mensajeCompleto = "Hola " + nombre + " tienes " + edad + " años.";
    mensajeFormulario.textContent = mensajeCompleto;
}
*/

//PASO 2: Condicionales sencillas
/*
function enviarDatos() {
    let nombre = document.querySelector("#nombre").value;  
    let edad  = document.querySelector("#edad").value;
    
    //integración de IF (condicionales)
    if (edad > 25) {
        mensajeEdad = ", ya eres grande. Tienes mucha experiencia!"
    }   
    //integración con ELSE (si no - el otro caso)
        else {
            mensajeEdad = "eres un jovenzuelo!"
        }
    
    let mensajeFormulario = document.querySelector(".mensaje");
    let mensajeCompleto = "Hola " + nombre + mensajeEdad;
    mensajeFormulario.textContent = mensajeCompleto;
}
*/

/*
CONDICIONANTE con ELSE IF(si no, entonces)
    if (condición) {
        código a ejecutar SOLO SI la condición es VERDADERA 
    }   
        else if (nueva condición) {
            ejecuta este otro código SOLO SI la condición es VERDADERA
        } 
        else {
            ejecuta este otro código SOLO SI la condición es FALSA
        }
*/  

//PASO 3: Condicionales compuestas
/*
function enviarDatos() {
    let nombre = document.querySelector("#nombre").value;  
    let edad  = document.querySelector("#edad").value;
    
    if (edad > 25) {
            mensajeEdad = "ya eres grande. Tienes mucha experiencia!"
    } 
        else if (edad < 25){
            mensajeEdad = "eres un jovenzuelo!"
        } 
        else {
            mensajeEdad = "estás en la edad justa para aprender a programar"
        }
   
    let mensajeFormulario = document.querySelector(".mensaje");
//    let mensajeCompleto = "Hola " + "<strong>" + nombre + "</strong>" + " " + mensajeEdad;
    let mensajeCompleto = `Hola <strong>${nombre}</strong> ${mensajeEdad}`;
    mensajeFormulario.innerHTML = mensajeCompleto;
}
*/


//PASO 4: Comparativas complejas 

function enviarDatos() {
    let nombre = document.querySelector("#nombre").value;  
    let edad  = document.querySelector("#edad").value;
    
    // "insertar" un dato en el formulario sino tiene valor el input #nombre

    let nombreFormulario; // -> Recordar cambiar el nombre de esta variable en la línea #308
    
    // -> Desarrollar en clase
    if (nombre == "" ){
        nombreFormulario = "Anónimo"
    } 
        else {
            nombreFormulario = nombre
        }

    if (edad > 25) {
            mensajeEdad = "ya eres grande. Tienes mucha experiencia!"
    } 
        else if (edad < 25){
            mensajeEdad = "eres un jovenzuelo!"
        }
        else {
            mensajeEdad = "estás en la edad justa para aprender a programar"
        };

    //integración de comparativas complejas con operadores lógicos AND && y OR ||
    /* Los parámetors se pueden agrupar para obtener un valor booleano TRUE o FALSE, sin tener que pasar de forma independiente por cada valor. */
    /*  Existen ciertas reglas para definir los resultados booleanos que se esperan del uso de estos operadores dependiendo los valores de las variables.
        
        Para mayor conocimiento de este tema, recomiendo revisar el uso de estos operadore:
        https://developer.mozilla.org/es/docs/Web/JavaScript/Guide/Expressions_and_Operators#operadores_l%C3%B3gicos
    
    */

    if ((fruta1.checked && fruta2.checked  && fruta3.checked) == true && fruta4.checked == false) {
        mensajeFrutas = "y te gustan <strong>TODAS</strong> las frutas 💚"
    }
        // -> Desarrollar en clase
        else if ((fruta1.checked && fruta2.checked  && fruta3.checked) == false && fruta4.checked == true) {
            mensajeFrutas = "<br><strong style='color:blue'>¿¿¿NO TE GUSTAN ESTAS FRUTAS??? 🍎 🍊 🍓</strong>"
        }
        else if ((fruta1.checked || fruta2.checked  || fruta3.checked) == true && fruta4.checked == false) {
            mensajeFrutas = "y te gusta al menos una fruta"
        }

        else {
            mensajeFrutas = "<br><strong style='color:red'>Olvidaste seleccionar al menos una fruta 🤬</strong>"  
        }   

    if ((fruta1.checked || fruta2.checked  || fruta3.checked) == true && fruta4.checked == true) {
        mensajeFrutas = "Ya me confundiste 🤯"
    }

    let mensajeFormulario = document.querySelector(".mensaje")
    let mensajeCompleto = `Hola <strong>${nombreFormulario}</strong> ${mensajeEdad} ${mensajeFrutas}`;
    mensajeFormulario.innerHTML = mensajeCompleto;
}





/********************************************************************* */

/*  TIPOS DE DATOS
        PRIMITIVOS:
            string
            number
            boolean
            null
            undefined
            NaN

        COMPUESTO:
            function()
            array = []
            object = {}
            class{}
*/


